## openni 1.5.4.0

=== Platform/Linux/Build/Modules/nimMockNodes/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source

SRC_FILES = \
	../../../../../Source/Modules/nimMockNodes/*.cpp

LIB_NAME = nimMockNodes
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
