=== Platform/Linux/Build/Samples/SimpleRead.java/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

SRC_FILES = \
	../../../../../Samples/SimpleRead.java/org/OpenNI/Samples/SimpleRead/*.java

JAR_NAME = org.OpenNI.Samples.SimpleRead
USED_JARS = org.OpenNI
MAIN_CLASS = org.OpenNI.Samples.SimpleRead.SimpleRead

include ../../Common/CommonJavaMakefile
