=== Platform/Linux/Build/Utils/niReg/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source

SRC_FILES = \
	../../../../../Source/Utils/niReg/*.cpp

EXE_NAME = niReg
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
