=== Platform/Linux/Build/Wrappers/OpenNI.java/Makefile ===
BIN_DIR = ../../../Bin

SRC_FILES = \
	../../../../../Wrappers/OpenNI.java/src/org/OpenNI/*.java

JAR_NAME = org.OpenNI

include ../../Common/CommonJavaMakefile
