=== debian/changelog ===
openni (1.5.4.0-7) unstable; urgency=low

  [ Jochen Sprickerhof ]
  * Add libopenni-sensor-pointclouds0 as an alternative
  * Remove -j from make flags (fixes bug on arm)
  * Move {licenses,modules}.xml to /var/lib/ni/ (Closes: #734768, #734894)

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 25 Feb 2014 11:29:08 -0500

openni (1.5.4.0-6) unstable; urgency=low

  * Initial upload to Debian (Closes: #607160)
  * Standards-Version: 3.9.4
  * added .docx source to included Documentation/OpenNI_UserGuide.pdf
  * updated debian/copyright to copyright-format/1.0
  * include all relevant copyright statements and licenses
  * include relevant documentation in doc-base

 -- Hans-Christoph Steiner <hans@eds.org>  Tue, 01 Oct 2013 20:53:53 -0400

openni (1.5.4.0-5) unstable; urgency=low

  * Fix USB code and printf
  * Adapt to libopenni-sensor-primesense SONAME bump

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Tue, 08 Jan 2013 00:40:17 +0100

openni (1.5.4.0-4) unstable; urgency=low

  * Simplify pkg-config file

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 28 Dec 2012 11:57:55 +0100

openni (1.5.4.0-3) unstable; urgency=low

  * Downgrade dependency on libopenni-sensor-primesense0 to recommends

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 27 Dec 2012 18:59:38 +0100

openni (1.5.4.0-2) unstable; urgency=low

  * Add dependency from libopenni0 to libopenni-sensor-primesense0

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 20 Dec 2012 22:33:47 +0100

openni (1.5.4.0-1) unstable; urgency=low

  * Fix clean target in rules to work cross platform.
  * Fix rules
  * Add patch to fix preprocessor symbol with C++11

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 20 Dec 2012 21:42:59 +0100
