## openni 1.5.4.0%2Bdfsg

=== Platform/Linux/Build/Samples/NiBackRecorder/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiBackRecorder/*.cpp

EXE_NAME = Sample-NiBackRecorder
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
