=== Platform/Linux/Build/Samples/NiSimpleSkeleton/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleSkeleton/*.cpp

EXE_NAME = Sample-NiSimpleSkeleton
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
