=== Platform/Linux/Build/Samples/NiSkeletonBenchmark/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSkeletonBenchmark/*.cpp

EXE_NAME = NiSkeletonBenchmark
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
