=== Platform/Linux/Build/Testing/OpenNITester/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = \
    ../../../../../Include \
    ../../../../../Testing/Common

SRC_FILES = \
    ../../../../../Testing/OpenNITester/*.cpp \
	../../../../../Testing/Common/*.cc

EXE_NAME = OpenNITester
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
