=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=makefile

override_dh_auto_build:
	cd Platform/Linux/CreateRedist && ./RedistMaker
