=== Platform/Linux/Build/Modules/nimCodecs/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source \
	../../../../../Externals/LibJPEG

SRC_FILES = \
	../../../../../Source/Modules/nimCodecs/*.cpp \
	../../../../../Externals/LibJPEG/*.c

LIB_NAME = nimCodecs
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
