=== Platform/Linux/Build/Samples/NiAudioSample/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiAudioSample/*.cpp

EXE_NAME = Sample-NiAudioSample
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
