=== Platform/Linux/Build/Samples/NiCRead/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiCRead/*.c

EXE_NAME = Sample-NiCRead
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
