=== Platform/Linux/Build/Samples/NiConvertXToONI/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiConvertXToONI/*.cpp

EXE_NAME = Sample-NiConvertXToONI
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
