=== Platform/Linux/Build/Samples/NiRecordSynthetic/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiRecordSynthetic/*.cpp

EXE_NAME = Sample-NiRecordSynthetic
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
