=== Platform/Linux/Build/Samples/NiSampleModule/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSampleModule/*.cpp

LIB_NAME = Sample-NiSampleModule
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
