=== Platform/Linux/Build/Samples/NiSimpleCreate/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleCreate/*.cpp

EXE_NAME = Sample-NiSimpleCreate
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
