=== Platform/Linux/Build/Samples/NiSimpleRead/Makefile ===
include ../../Common/CommonDefs.mak

BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleRead/*.cpp

EXE_NAME = Sample-NiSimpleRead
USED_LIBS = OpenNI

include ../../Common/CommonCppMakefile
