=== debian/changelog ===
openni (1.5.4.0+dfsg-8) unstable; urgency=medium

  * Fix d/copyright
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 24 Feb 2025 19:25:34 +0100

openni (1.5.4.0+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063098

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:46:22 +0000

openni (1.5.4.0+dfsg-7) unstable; urgency=medium

  * Add loongarch64 support (Closes: #1050419)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 15 Nov 2023 11:05:03 +0100

openni (1.5.4.0+dfsg-6) unstable; urgency=medium

  * Add patch for riscv64.
    Thanks to Bo YU (Closes: #1014442)
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 07 Jul 2022 11:31:26 +0200

openni (1.5.4.0+dfsg-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Move source package lintian overrides to debian/source.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Drop gitlab-ci
  * Bump policy and debhelper versions
  * Add MA hint

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 03 Nov 2021 22:42:59 +0100

openni (1.5.4.0+dfsg-4) unstable; urgency=medium

  * Add patch for __i386__ pragma
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 28 Jan 2020 20:42:45 +0100

openni (1.5.4.0+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Jochen Sprickerhof ]
  * Port to Python 3 (Closes: #937205)
  * Bump policy version (no changes)
  * Bump debhelper version
  * Drop migration from version before old-old-stable
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 14 Sep 2019 09:20:36 +0200

openni (1.5.4.0+dfsg-2) unstable; urgency=medium

  * Recover directory (Closes: #911448)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 16:15:36 +0200

openni (1.5.4.0+dfsg-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * remove myself from Uploaders

  [ Jochen Sprickerhof ]
  * Remove Cosimo Alfarano from Uploaders (Closes: #846821)
  * Update Vcs URLs to salsa.d.o

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

  [ Jochen Sprickerhof ]
  * Move cleanup to d/clean
  * Add R³

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Jochen Sprickerhof ]
  * Update my address
  * Add file exclude to d/copyright
  * New upstream version 1.5.4.0+dfsg
  * Update packaging
  * Add patch for wrong compiler flags on arm.
    Thanks to Peter Green (Closes: #798728)
  * Disable mono build (Closes: #757264)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 00:05:29 +0200

openni (1.5.4.0-14) unstable; urgency=medium

  * Fix gcc6 compatibility (Closes: #811848).

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 23 Jan 2016 15:38:49 +0100

openni (1.5.4.0-13) unstable; urgency=medium

  * Add patch to support mipsel. Thanks to Gustavo Prado Alkmim. Closes: #788680

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 28 Jul 2015 09:54:30 +0200

openni (1.5.4.0-12) unstable; urgency=medium

  * Add arm64 support (Closes: #787905), thanks Edmund Grimley Evans

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 06 Jun 2015 23:32:22 +0200

openni (1.5.4.0-11) unstable; urgency=medium

  [ Joe Burmeister ]
  * Add ARM-hf support.
  * Update ARM support patch to remove line disabling NiViewer.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sat, 06 Jun 2015 09:28:05 +0200

openni (1.5.4.0-10) unstable; urgency=medium

  [ Fernando Seiti Furusato ]
  * Enabled ppc (Closes: #734110). Thanks Roland Stigge and Fernando Seiti
    Furusato.

  [ Jochen Sprickerhof ]
  * Clean up doxygen_sqlite3.db in override_dh_auto_clean
  * Add myself to uploaders

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 05 Jun 2015 19:33:32 +0200

openni (1.5.4.0-9) unstable; urgency=medium

  * Standards-Version: 3.9.6 (no changes)

  [ Jochen Sprickerhof ]
  * Remove license stuff (cf. #771189)
  * Manually generate modules.xml (Closes: #771518)

 -- Hans-Christoph Steiner <hans@eds.org>  Sun, 07 Dec 2014 20:20:51 +0100

openni (1.5.4.0-8) unstable; urgency=medium

  * Do not ship but generate {licenses,modules}.xml at install time
    (Closes: #767653)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 24 Nov 2014 22:33:38 +0100
