=== debian/control ===
--- 
+++ 
@@ -1,31 +1,31 @@
 Source: openni
 Priority: optional
 Section: libs
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Cosimo Alfarano <kalfa@debian.org>,
-           Nobuhiro Iwamatsu <iwamatsu@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
+           Jochen Sprickerhof <jspricke@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                freeglut3-dev,
-               libusb-1.0-0-dev (>= 1.0.8),
-               python (>= 2.6),
+               libusb-1.0-0-dev,
+               python3,
                doxygen,
                graphviz,
                libjpeg-dev,
                libtinyxml-dev,
                default-jdk
-Standards-Version: 3.9.5
-Homepage: http://www.openni.org
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/openni.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-multimedia/openni.git
+Standards-Version: 4.7.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/multimedia-team/openni.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/openni
 
-Package: libopenni0
+Package: libopenni0t64
+Provides: ${t64:Provides}
+Replaces: libopenni0
+Breaks: libopenni0 (<< ${source:Version})
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Recommends: libopenni-sensor-pointclouds0 | libopenni-sensor-primesense0
-Conflicts: openni-dev
 Description: framework for sensor-based 'Natural Interaction'
  OpenNI is a framework for getting data to support 'Natural Interaction',
  i.e. skeleton tracking, gesture tracking, and similar ways of getting data
@@ -39,7 +39,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libopenni0 (= ${binary:Version})
+         libopenni0t64 (= ${binary:Version})
 Description: Java framework for sensor-based 'Natural Interaction'
  OpenNI is a framework for getting data to support 'Natural Interaction',
  i.e. skeleton tracking, gesture tracking, and similar ways of getting data
@@ -69,8 +69,9 @@
 Package: libopenni-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
-         libopenni0 (= ${binary:Version})
+         libopenni0t64 (= ${binary:Version})
 Suggests: openni-doc
 Description: headers for OpenNI 'Natural Interaction' frameworks
  OpenNI is a framework for getting data to support 'Natural Interaction',
@@ -86,6 +87,7 @@
 Package: openni-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: developer documentation for OpenNI frameworks
  OpenNI is a framework for getting data to support 'Natural Interaction',
